Subject: Crown Wood Lathe

From: "Duane Hoover" <[email-masked]>
Date: 15 Feb 1997 04:23:14 GMT

At a local estate sale, I purchased a Crown wood lathe.  Does anyone know
where I could find some information about it?  

It is cast iron and has a golden emblem on the front with a crown and the
word crown.  The stand has Seneca Falls Mfg Co Seneca Falls NY on the ends.

I just replaced the drive belt.  The original leather one was broken.

What kind of lubricant should I use.  There are two fitting in the head
stock.  Do I put grease or oil in these?

It is also missing the crank on the tail stock.  It looks like it has been
missing for a while, because it looks like it has been adjusted with a pipe
wrench (not bad but you can see the marks).  Can parts still be found for
this lathe?  

Please e-mail me with any information at
[email-masked]

thanks for any help